<?xml version="1.0" encoding="utf-8"?>
<Dashboard>
  <Title Text="Giza_Satış Stok Analizi" />
  <DataSources>
    <SqlDataSource Name="CustomSqlQuery" ComponentName="sqlDataSource1">
      <Connection Name="RaporVeriKaynagi" FromAppConfig="true" />
      <Query Type="CustomSqlQuery" Name="CustomSqlQuery">
        <Sql>SELECT h.STOK_KODU,
       s.STOK_ADI,
       s.GRUP_KODU,
       h.STHAR_ACIKLAMA CARI_KODU,
       c.CARI_ISIM,
       h.STHAR_HTUR,
       h.STHAR_FTIRSIP,
       h.STHAR_TARIH,
       h.FISNO,
       h.STHAR_GCKOD,
       h.STHAR_GCMIK,
       h.STHAR_NF,
       h.STHAR_GCMIK * h.STHAR_NF STHAR_TUTAR
FROM dbo.TBLSTHAR h
    JOIN dbo.TBLSTSABIT s
        ON s.STOK_KODU = h.STOK_KODU
    JOIN dbo.TBLCASABIT c
        ON h.STHAR_ACIKLAMA = c.CARI_KOD;</Sql>
      </Query>
      <ConnectionOptions CloseConnection="true" />
    </SqlDataSource>
  </DataSources>
  <Items>
    <ComboBox ComponentName="comboBoxDashboardItem1" Name="Grup" DataSource="sqlDataSource1" DataMember="CustomSqlQuery" EnableSearch="true">
      <DataItems>
        <Dimension DataMember="GRUP_KODU" Name="Grup" DefaultId="DataItem0" />
      </DataItems>
      <FilterDimensions>
        <Dimension DefaultId="DataItem0" />
      </FilterDimensions>
    </ComboBox>
    <ComboBox ComponentName="comboBoxDashboardItem2" Name="Giriş/Çıkış" DataSource="sqlDataSource1" DataMember="CustomSqlQuery">
      <DataItems>
        <Dimension DataMember="STHAR_GCKOD" Name="Giriş/Çıkış" DefaultId="DataItem0" />
      </DataItems>
      <FilterDimensions>
        <Dimension DefaultId="DataItem0" />
      </FilterDimensions>
    </ComboBox>
    <RangeFilter ComponentName="rangeFilterDashboardItem1" Name="Aralık filtresi" DataSource="sqlDataSource1" DataMember="CustomSqlQuery">
      <DataItems>
        <Measure DataMember="STHAR_GCMIK" SummaryType="Count" DefaultId="DataItem0" />
        <Dimension DataMember="STHAR_TARIH" DateTimeGroupInterval="DayMonthYear" DefaultId="DataItem1" />
      </DataItems>
      <Argument DefaultId="DataItem1" />
      <Series>
        <Simple SeriesType="StackedBar">
          <Value DefaultId="DataItem0" />
        </Simple>
      </Series>
      <DateTimePeriods>
        <DateTimePeriod Name="Bugün">
          <StartLimit>
            <FlowDateTimePeriodLimit Interval="Day" Offset="1" />
          </StartLimit>
          <EndLimit>
            <FlowDateTimePeriodLimit Interval="Day" />
          </EndLimit>
        </DateTimePeriod>
        <DateTimePeriod Name="Bu Hafta">
          <StartLimit>
            <FlowDateTimePeriodLimit Interval="Day" Offset="-1" />
          </StartLimit>
          <EndLimit>
            <FlowDateTimePeriodLimit Interval="Day" Offset="-8" />
          </EndLimit>
        </DateTimePeriod>
        <DateTimePeriod Name="Bu Ay">
          <StartLimit>
            <FlowDateTimePeriodLimit Interval="Month" />
          </StartLimit>
          <EndLimit>
            <FlowDateTimePeriodLimit Interval="Month" Offset="1" />
          </EndLimit>
        </DateTimePeriod>
        <DateTimePeriod Name="Bu Yıl">
          <StartLimit>
            <FlowDateTimePeriodLimit />
          </StartLimit>
          <EndLimit>
            <FlowDateTimePeriodLimit Offset="1" />
          </EndLimit>
        </DateTimePeriod>
      </DateTimePeriods>
    </RangeFilter>
    <Card ComponentName="cardDashboardItem1" Name="Kartlar 1" ShowCaption="false" DataSource="sqlDataSource1" DataMember="CustomSqlQuery">
      <DataItems>
        <Measure DataMember="STHAR_GCMIK" DefaultId="DataItem0">
          <NumericFormat FormatType="Number" Unit="Ones" IncludeGroupSeparator="true" />
        </Measure>
        <Measure DataMember="STHAR_TUTAR" DefaultId="DataItem1">
          <NumericFormat FormatType="Number" Unit="Ones" IncludeGroupSeparator="true" />
        </Measure>
      </DataItems>
      <Card Name="Miktar">
        <ActualValue DefaultId="DataItem0" />
        <AbsoluteVariationNumericFormat />
        <PercentVariationNumericFormat />
        <PercentOfTargetNumericFormat />
        <LayoutTemplate MinWidth="270" MaxWidth="270" Type="Centered">
          <MainValue Visible="true" ValueType="Title" DimensionIndex="0" />
          <SubValue Visible="true" ValueType="Subtitle" DimensionIndex="0" />
          <BottomValue Visible="true" ValueType="ActualValue" DimensionIndex="0" />
          <BottomSubValue1 Visible="true" ValueType="AbsoluteVariation" DimensionIndex="0" />
          <BottomSubValue2 Visible="true" ValueType="PercentVariation" DimensionIndex="0" />
          <DeltaIndicator Visible="true" />
          <Sparkline Visible="true" />
        </LayoutTemplate>
      </Card>
      <Card Name="Tutar">
        <ActualValue DefaultId="DataItem1" />
        <AbsoluteVariationNumericFormat />
        <PercentVariationNumericFormat />
        <PercentOfTargetNumericFormat />
        <LayoutTemplate MinWidth="270" MaxWidth="270" Type="Centered">
          <MainValue Visible="true" ValueType="Title" DimensionIndex="0" />
          <SubValue Visible="true" ValueType="Subtitle" DimensionIndex="0" />
          <BottomValue Visible="true" ValueType="ActualValue" DimensionIndex="0" />
          <BottomSubValue1 Visible="true" ValueType="AbsoluteVariation" DimensionIndex="0" />
          <BottomSubValue2 Visible="true" ValueType="PercentVariation" DimensionIndex="0" />
          <DeltaIndicator Visible="true" />
          <Sparkline Visible="true" />
        </LayoutTemplate>
      </Card>
    </Card>
    <TabContainer ComponentName="tabContainerDashboardItem1" Name="Sekmesi konteyner 1">
      <Pages>
        <Page ComponentName="dashboardTabPage1" Name="Sayfa 1" />
        <Page ComponentName="dashboardTabPage2" Name="Sayfa 2" />
      </Pages>
    </TabContainer>
    <Pie ComponentName="pieDashboardItem1" Name="Grafik" ParentContainer="dashboardTabPage1" DataSource="sqlDataSource1" DataMember="CustomSqlQuery">
      <DataItems>
        <Measure DataMember="STHAR_GCMIK" DefaultId="DataItem0" />
        <Measure DataMember="STHAR_TUTAR" DefaultId="DataItem1" />
        <Dimension DataMember="STHAR_GCKOD" DefaultId="DataItem2" />
        <Dimension DataMember="STHAR_TARIH" DateTimeGroupInterval="Quarter" DefaultId="DataItem3" />
      </DataItems>
      <SeriesDimensions>
        <SeriesDimension DefaultId="DataItem3" />
      </SeriesDimensions>
      <Arguments>
        <Argument DefaultId="DataItem2" />
      </Arguments>
      <Values>
        <Value DefaultId="DataItem0" />
        <Value DefaultId="DataItem1" />
      </Values>
    </Pie>
    <Grid ComponentName="gridDashboardItem1" Name="Detay" ParentContainer="dashboardTabPage2" DataSource="sqlDataSource1" DataMember="CustomSqlQuery">
      <DataItems>
        <Dimension DataMember="FISNO" DefaultId="DataItem0" />
        <Dimension DataMember="STHAR_TARIH" DateTimeGroupInterval="DayMonthYear" DefaultId="DataItem1" />
        <Dimension DataMember="STOK_ADI" DefaultId="DataItem2" />
        <Measure DataMember="STHAR_GCMIK" DefaultId="DataItem3">
          <NumericFormat FormatType="Number" Unit="Ones" IncludeGroupSeparator="true" />
        </Measure>
        <Measure DataMember="STHAR_NF" DefaultId="DataItem4">
          <NumericFormat FormatType="Number" Unit="Ones" IncludeGroupSeparator="true" />
        </Measure>
        <Measure DataMember="STHAR_TUTAR" DefaultId="DataItem5">
          <NumericFormat FormatType="Number" Unit="Ones" IncludeGroupSeparator="true" />
        </Measure>
      </DataItems>
      <GridColumns>
        <GridDimensionColumn>
          <Dimension DefaultId="DataItem0" />
        </GridDimensionColumn>
        <GridDimensionColumn>
          <Dimension DefaultId="DataItem1" />
        </GridDimensionColumn>
        <GridDimensionColumn>
          <Dimension DefaultId="DataItem2" />
        </GridDimensionColumn>
        <GridMeasureColumn>
          <Measure DefaultId="DataItem3" />
        </GridMeasureColumn>
        <GridMeasureColumn>
          <Measure DefaultId="DataItem4" />
        </GridMeasureColumn>
        <GridMeasureColumn>
          <Measure DefaultId="DataItem5" />
        </GridMeasureColumn>
      </GridColumns>
      <GridOptions />
    </Grid>
  </Items>
  <LayoutTree>
    <LayoutGroup Orientation="Vertical">
      <LayoutGroup Weight="0.640684410646388">
        <LayoutItem DashboardItem="comboBoxDashboardItem1" Weight="0.984469370146678" />
        <LayoutItem DashboardItem="comboBoxDashboardItem2" Weight="0.51078515962036286" />
        <LayoutItem DashboardItem="rangeFilterDashboardItem1" Weight="1.504745470232959" />
      </LayoutGroup>
      <LayoutItem DashboardItem="cardDashboardItem1" Weight="0.9315589353612167" />
      <LayoutTabContainer DashboardItem="tabContainerDashboardItem1" Weight="1.4277566539923954">
        <LayoutTabPage DashboardItem="dashboardTabPage1">
          <LayoutItem DashboardItem="pieDashboardItem1" />
        </LayoutTabPage>
        <LayoutTabPage DashboardItem="dashboardTabPage2">
          <LayoutItem DashboardItem="gridDashboardItem1" />
        </LayoutTabPage>
      </LayoutTabContainer>
    </LayoutGroup>
  </LayoutTree>
</Dashboard>